#include <bits/stdc++.h>

using namespace std;
using ll = long long;

void solve() {
    ll n, m, g;
    cin >> n >> m >> g;
    cout << m << " " << 1 << '\n';
}

int main() {
    int test = 1;
    // cin >> test;
    while (test--) {
        solve();
    }
}



